# classes/phing/tasks/ext/simpletest/SimpleTestResultFormatter.php

## \SimpleTestResultFormatter
jump to top

This abstract class describes classes that format the results of a SimpleTest testrun.

Extends from
  \SimpleReporter
author
  Michiel Rook
package
  phing.tasks.ext.simpletest
since
  2.2.0
version
  $Id: SimpleTestResultFormatter.php 552 2009-08-29 12:18:13Z mrook $

### Properties

`$currentTest= ''`
Details

Type

`$errorCount= '0'`
Default value `0` Details

Type

`$failureCount= '0'`
Default value `0` Details

Type

`$out= 'NULL'`
Default value `NULL` Details

Type

`$project= 'NULL'`
Default value `NULL` Details

Type

`$runCount= '0'`
Default value `0` Details

Type

`$timer= 'NULL'`
Default value `NULL` Details

Type

### Methods

`getElapsedTime( ) :`
`getErrorCount( ) :`
`getExtension( ) : string`
Returns the extension used for this formatter
Returns

Type | Description
--- | ---
string |

`getFailureCount( ) :`
`getPreferredOutfile( ) :`
`getRunCount( ) :`
`getTestName( ) :`
`paintCaseEnd( $test_name ) :`
Parameters

Name | Type | Description
--- | --- | ---
$test_name |  |

`paintCaseStart( $test_name ) :`
Parameters

Name | Type | Description
--- | --- | ---
$test_name |  |

`paintError( $message ) :`
Parameters

Name | Type | Description
--- | --- | ---
$message |  |

`paintFail( $message ) :`
Parameters

Name | Type | Description
--- | --- | ---
$message |  |

`paintMethodEnd( $test_name ) :`
Parameters

Name | Type | Description
--- | --- | ---
$test_name |  |

`paintMethodStart( $test_name ) :`
Parameters

Name | Type | Description
--- | --- | ---
$test_name |  |

`setOutput( $out ) :`
Sets the writer the formatter is supposed to write its results to.
Parameters

Name | Type | Description
--- | --- | ---
$out |  |

`setProject( \Project $project ) :`
Sets the project
Parameters

Name | Type | Description
--- | --- | ---
$project | \Project | the project

Documentation was generated by DocBlox 0.13.1.